# Upsell Configuration

4 operations of the [Checkout Configuration API](/api/partners/checkout-configuration.md).

- `GET /v1/config/upsell` — [List all active upsell configuration rows for a merchant](/api/partners/checkout-configuration/get-config-value-list.md)
- `PUT /v1/config/upsell` — [Upsert upsell configuration for a merchant and one or more countries](/api/partners/checkout-configuration/upsert.md)
- `DELETE /v1/config/upsell` — [Soft-delete upsell configuration for a merchant and optional country](/api/partners/checkout-configuration/delete.md)
- `GET /v1/config/country/{country}/upsell` — [Get resolved upsell configuration for a merchant and country](/api/partners/checkout-configuration/get-config-value.md)
